package CRSDK;

@SuppressWarnings("unused")
public enum CrPartialFile {
    CrPartialFile_Default(0xFFFFFFFF),
    CrPartialFile_NotPartial( 0x00000000),  // USB only, Batch reception of image size
    CrPartialFile_Min ( 0x00000001),       // Partial size = 1MB
    CrPartialFile_Max ( 0x000007FF),    // Partial size = 2047MB
    CrPartialFile_Step ( 0x00000001); // Partial size step = 1MB,

    private final CrInt32u value;
    CrPartialFile(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
